require "spec_helper"

describe TweekMetrics do
  let(:instruments) { [:timing, :counter] }
  let(:key) { [:account, :test] }

  it "delegates to TweekMetrics::Handler" do
    expect(TweekMetrics::Handler).to receive(:new).with(instruments, key)
    TweekMetrics.measure(instruments, key)
  end

  context "when instruments are not known" do
    it "raises an error" do
      expect { TweekMetrics.measure(1, key) }.to raise_error(ArgumentError)
    end
  end

  context "when provided instruments are not an Array like" do
    it "raises an error" do
      expect { TweekMetrics.measure(instruments, 1) }.to raise_error(ArgumentError)
    end
  end
end